r1123 - in vdr/vdr/trunk/debian: . patches

Thomas Günther tom-guest at costa.debian.org
Thu Sep 1 00:21:27 UTC 2005


Author: tom-guest
Date: 2005-09-01 00:21:26 +0000 (Thu, 01 Sep 2005)
New Revision: 1123

Added:
   vdr/vdr/trunk/debian/patches/22_vdr-playerepg.dpatch
Modified:
   vdr/vdr/trunk/debian/changelog
   vdr/vdr/trunk/debian/patches/00list
Log:
Added 22_vdr-playerepg.dpatch - Fixes mp3 plugin problems

Modified: vdr/vdr/trunk/debian/changelog
===================================================================
--- vdr/vdr/trunk/debian/changelog	2005-09-01 00:18:55 UTC (rev 1122)
+++ vdr/vdr/trunk/debian/changelog	2005-09-01 00:21:26 UTC (rev 1123)
@@ -21,6 +21,7 @@
   * Thomas Günther <tom at toms-cafe.de>
     - Made debian/plugin-template/rules svn-buildpackage-save
     - Updated 15_dvbplayer.dpatch
+    - Added 22_vdr-playerepg.dpatch - Fixes mp3 plugin problems
 
  -- Debian VDR Team <pkg-vdr-dvb-devel at lists.alioth.debian.org>  Sun, 28 Aug 2005 18:25:00 +0200
 

Modified: vdr/vdr/trunk/debian/patches/00list
===================================================================
--- vdr/vdr/trunk/debian/patches/00list	2005-09-01 00:18:55 UTC (rev 1122)
+++ vdr/vdr/trunk/debian/patches/00list	2005-09-01 00:21:26 UTC (rev 1123)
@@ -19,6 +19,7 @@
 19_vdr-1.3.31-remux
 20_vdr-1.3.31-sequence-end-code5
 21_vdr-1.3.31-skipframes
+22_vdr-playerepg
 
 # Patch needed for DVB subtitles or ttxtsubs (does not work with AC3-patch)
 # opt-21_subtitles_and_ttxtsubs

Added: vdr/vdr/trunk/debian/patches/22_vdr-playerepg.dpatch
===================================================================
--- vdr/vdr/trunk/debian/patches/22_vdr-playerepg.dpatch	2005-09-01 00:18:55 UTC (rev 1122)
+++ vdr/vdr/trunk/debian/patches/22_vdr-playerepg.dpatch	2005-09-01 00:21:26 UTC (rev 1123)
@@ -0,0 +1,48 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+
+## 22_vdr-playerepg.dpatch by Stefan Hülswitt <s.huelswitt at gmx.de>
+## http://vdrportal.de/board/thread.php?postid=348701#post348701
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Fixes problems with live background and EPG scan enabled.
+
+ at DPATCH@
+diff -u vdr-1.3.29-orig/device.c vdr-current-1.3.29/device.c
+--- vdr-1.3.29-orig/device.c	2005-08-14 12:52:08.000000000 +0200
++++ vdr-current-1.3.29/device.c	2005-08-24 19:17:13.000000000 +0200
+@@ -847,9 +849,9 @@
+ {
+ }
+ 
+-bool cDevice::Replaying(void) const
++bool cDevice::Replaying(bool ignoreLivePlayer) const
+ {
+-  return player != NULL;
++  return player!=NULL && (!ignoreLivePlayer || player->playMode==pmAudioVideo || player->playMode==pmAudioOnlyBlack);
+ }
+ 
+ bool cDevice::AttachPlayer(cPlayer *Player)
+diff -u vdr-1.3.29-orig/device.h vdr-current-1.3.29/device.h
+--- vdr-1.3.29-orig/device.h	2005-08-13 13:44:13.000000000 +0200
++++ vdr-current-1.3.29/device.h	2005-08-24 18:58:32.000000000 +0200
+@@ -460,7 +462,7 @@
+        ///< to a complete packet with data from the next call to PlayPes().
+        ///< That way any functions called from within PlayPes() will be
+        ///< guaranteed to always receive complete PES packets.
+-  bool Replaying(void) const;
++  bool Replaying(bool ignoreLivePlayer=false) const;
+        ///< Returns true if we are currently replaying.
+   void StopReplay(void);
+        ///< Stops the current replay session (if any).
+diff -u vdr-1.3.29-orig/eitscan.c vdr-current-1.3.29/eitscan.c
+--- vdr-1.3.29-orig/eitscan.c	2005-08-07 13:29:54.000000000 +0200
++++ vdr-current-1.3.29/eitscan.c	2005-08-24 19:17:22.000000000 +0200
+@@ -150,7 +165,7 @@
+                          if (!Channel->Ca() || Channel->Ca() == Device->DeviceNumber() + 1 || Channel->Ca() >= 0x0100) {
+                             if (Device->ProvidesTransponder(Channel)) {
+                                if (!Device->Receiving()) {
+-                                  bool IsPrimaryDeviceReplaying = Device == cDevice::PrimaryDevice() && Device->Replaying();
++                                  bool IsPrimaryDeviceReplaying = Device == cDevice::PrimaryDevice() && Device->Replaying(true);
+                                   if (Device != cDevice::ActualDevice() || (Device->ProvidesTransponderExclusively(Channel) && (IsPrimaryDeviceReplaying || now - lastActivity > Setup.EPGScanTimeout * 3600))) {
+                                      if (!IsPrimaryDeviceReplaying && Device == cDevice::ActualDevice() && !currentChannel) {
+                                         if (cTransferControl::ReceiverDevice())




More information about the pkg-vdr-dvb-changes mailing list